# Issue a push notification that can be used to verify a beneficiary batch

Starts the verification process for updating a beneficiary batch in which a push notification is sent to a device belonging to the logged-in user that was previously enrolled through the /authentication_factors/push/{channel} endpoint.

You should only start this process if the beneficiary update operation state is PENDING_CHALLENGE.

Endpoint: POST /beneficiaries/batch/{id}/challenges/push/{channel}
Version: v3
Security: auth_token, api-key

## Path parameters:

  - `id` (string, required)
    The unique identifier of the Beneficiary Batch Operation.

  - `channel` (string, required)
    - "AUTHY": The push notification is sent on the user's device using Twilio Authy
- "BIOMETRIC": The push notification is sent to the user's device
    Enum: "AUTHY", "BIOMETRIC"

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 403 fields (application/json):

  - `errorCode` (string)
    Enum: "INSUFFICIENT_PERMISSIONS"

## Response 405 fields (application/json):

  - `code` (string)

  - `message` (string)

## Response 409 fields (application/json):

  - `errorCode` (string)
    Enum: "STATE_INVALID", "CHANNEL_NOT_SUPPORTED", "CHANNEL_NOT_REGISTERED", "CHALLENGE_LIMIT_EXCEEDED"


## Response 204 fields

## Response 401 fields

## Response 429 fields

## Response 500 fields

## Response 503 fields
